
GammaLib - Action #458

Feature # 457 (Closed): Finalize test suite usage

Use test suite for Python tests.

09/01/2012 03:48 AM - Knödlseder Jürgen

Status: Closed Start date: 09/04/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 8.00 hours

Target version: 00-06-00   

Description

History

#1 - 09/04/2012 03:56 PM - Knödlseder Jürgen

- Start date set to 09/04/2012

due to changes in a related task

#2 - 09/04/2012 03:58 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Remaining (hours) changed from 8.0 to 0.0

#3 - 09/04/2012 04:00 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

A special GPythonTestSuite class was developed that derived from GTestSuite and that implements callback functionality for Python functions. In that

way, Python functions can be called from C++ code. This allows to build test suites for Python in a way that is analogous to C++.

For each GammaLib module, a specific Python module was created that is now imported by test_python.py. This allows splitting the Python unit test

over several files.
